### Function Macro

# GLib try_new

since: 2.8

#### Declaration

    #define g_try_new (
      struct_type,
      n_structs
    )

#### Description

Attempts to allocate `n_structs` elements of type `struct_type`, and returns `NULL` on failure. Contrast with g_new(), which aborts the program on failure. The returned pointer is cast to a pointer to the given type. The function returns `NULL` when `n_structs` is 0 of if an overflow occurs.

Available since: 2.8

This function is not directly available to language bindings.

#### Parameters

`struct_type`

  Type: `-`

  The type of the elements to allocate.

`n_structs`

  Type: `-`

  The number of elements to allocate.